{
    "path": "$OET_PATH/testcases/function_test/pkg_test/google-api-python-client/python3-google-api-client",
    "machine num": 1,
    "cases": [
        {
            "name": "test_python3-google-api-client_function_install",
            "desc": "测试python3-google-api-client软件包是否可以通过apt包管理器成功安装。"
        },
        {
            "name": "test_python3-google-api-client_function_import",
            "desc": "测试安装后是否可以成功导入googleapiclient.discovery模块。"
        },
        {
            "name": "test_python3-google-api-client_function_build",
            "desc": "测试能否使用googleapiclient.discovery.build函数创建服务对象（如YouTube Data API）。"
        },
        {
            "name": "test_python3-google-api-client_function_execute",
            "desc": "测试能否使用创建的服务对象执行一个简单的API请求（如列出YouTube频道信息）。"
        },
        {
            "name": "test_python3-google-api-client_function_uninstall",
            "desc": "测试python3-google-api-client软件包是否可以通过apt包管理器成功卸载。"
        }
    ]
}